namespace Coverlet_Test;

using System.Diagnostics.CodeAnalysis;
using Microsoft.Extensions.Logging;

public partial class StuffMcStuffy
{
    private readonly ILogger<StuffMcStuffy> _logger;

    public StuffMcStuffy(ILogger<StuffMcStuffy> logger)
    {
        _logger = logger;
    }

    [LoggerMessage(
        EventId = 0,
        Level = LogLevel.Information,
        EventName = "testname",
        Message = "tes:extraction {JobId} {ExtractionStatus} {ExtractionError}")]
    private partial void RecordExtractionEvent(Guid jobId, string extractionStatus, string extractionError);

    [ExcludeFromCodeCoverage]
    public void DoThis()
    {
        Console.Write("do this");
    }

    public void DoThat()
    {
        Console.Write("do that");
    }

    public void BlahThis()
    {
        var thislist = new List<KeyValuePair<string, object>>();
        thislist.Add(new KeyValuePair<string, object>("hey", "ho"));
        thislist.Add(new KeyValuePair<string, object>("hey1", "ho1"));
        var blah = CreateLoggerDictionary(thislist);
        blah.ToString();
    }

    [ExcludeFromCodeCoverage]
    private static Dictionary<string, string> CreateLoggerDictionary(List<KeyValuePair<string, object>> attributes)
    {
        return attributes.ToDictionary(item => item.Key,
            item => item.Value.ToString() ?? string.Empty);
    }
}