#!/usr/bin/env bash

set -euo pipefail

find . -type d -name TestResults -exec rm -rf {} +
rm -rf ./codeCoverageReport

PROJECTS="$(find . -type d -name "TestProject1")"
readonly PROJECTS

for project in ${PROJECTS}; do
  dotnet test -c Release "$@" "${project}" --collect:"XPlat Code Coverage" --logger "console;verbosity=normal" --logger trx
done

dir=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd)
REPORT_TYPE=Html
COMMAND=open
FILENAME=index.html
TARGETDIRECTORY="$(ls -d "${dir}"/.)/codeCoverageReport"
REPORTS="$(find "${dir}/.." -type f -name "coverage.cobertura.xml" | tr "\n" ";")"

dotnet ~/.nuget/packages/reportgenerator/*/tools/*/ReportGenerator.dll \
  -reports:"${REPORTS}" \
  -targetdir:"${TARGETDIRECTORY}" \
  -reporttypes:"${REPORT_TYPE}" && \
  "${COMMAND}" "${TARGETDIRECTORY}/${FILENAME}"